summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-12-07 09:19:11 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2016-12-07 09:42:27 -0600
commit6daa65e9de05e0894fa2fb1dc8f45e9fcdbc8a40 (patch)
treed7ff0e9c6b1df3e34283eb6b63d4fc7c125fffc1 /dev-python/oslo-privsep/oslo-privsep-1.13.1.ebuild
parentdev-php/pecl-svn: Drop old (diff)
downloadgentoo-6daa65e9de05e0894fa2fb1dc8f45e9fcdbc8a40.tar.gz
gentoo-6daa65e9de05e0894fa2fb1dc8f45e9fcdbc8a40.tar.bz2
gentoo-6daa65e9de05e0894fa2fb1dc8f45e9fcdbc8a40.zip
dev-python/oslo-privsep: bup
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-python/oslo-privsep/oslo-privsep-1.13.1.ebuild')
-rw-r--r--dev-python/oslo-privsep/oslo-privsep-1.13.1.ebuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/dev-python/oslo-privsep/oslo-privsep-1.13.1.ebuild b/dev-python/oslo-privsep/oslo-privsep-1.13.1.ebuild
new file mode 100644
index 00000000000..db38ecf820c
--- /dev/null
+++ b/dev-python/oslo-privsep/oslo-privsep-1.13.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack library for privilege separation."
+HOMEPAGE="https://pypi.python.org/pypi/oslo.privsep"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.privsep/oslo.privsep-${PV}.tar.gz"
+S="${WORKDIR}/oslo.privsep-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDEPEND="
+ >=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ !~dev-python/oslo-sphinx-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND="
+ >=dev-python/oslo-log-1.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
+ virtual/python-enum34[${PYTHON_USEDEP}]
+ dev-python/cffi[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+# python_test() {
+# }